commit 8a2d30a612cd507f8bff840863c6e4473a303795
Author: intrigeri <intrigeri@boum.org>
Date:   Tue Nov 15 18:24:56 2011 +0100

    Add support for allow-discards option in crypttab.

diff --git a/debian/cryptdisks.functions b/debian/cryptdisks.functions
index 9cb72d4..9e4b76a 100644
--- a/debian/cryptdisks.functions
+++ b/debian/cryptdisks.functions
@@ -51,6 +51,9 @@ parse_opts () {
 		VALUE=$(echo "$opt" | sed '/=/!d;s/^.*=//')
 		
 		case "$PARAM" in 
+		allow-discards)
+			PARAMS="$PARAMS --allow-discards"
+			;;
 		readonly)
 			PARAMS="$PARAMS -r"
 			;;
diff --git a/debian/doc/crypttab.xml b/debian/doc/crypttab.xml
index 077caf6..92e0ce4 100644
--- a/debian/doc/crypttab.xml
+++ b/debian/doc/crypttab.xml
@@ -143,6 +143,21 @@
    </varlistentry>
 
    <varlistentry>
+    <term><emphasis>allow-discards</emphasis></term>
+    <listitem>
+     <simpara>Allow using of discards (TRIM) requests for device.</simpara>
+     <simpara><emphasis role="strong">WARNING</emphasis>: Assess the
+     specific security risks carefully before enabling this option.
+     For example, allowing discards on encrypted devices may lead to
+     the leak of information about the ciphertext device (filesystem
+     type, used space etc.) if the discarded blocks can be located
+     easily on the device later.</simpara>
+      <simpara>Kernel version 3.1 or more recent is required.
+      For older versions is the option ignored.</simpara>
+    </listitem>
+   </varlistentry>
+
+   <varlistentry>
     <term><emphasis>readonly</emphasis></term>
     <listitem>
      <simpara>The backing device is read-only (eg: a dvd).</simpara>
